import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, s) : t, l = p.length - 1, c; l >= 0; l--)
    (c = p[l]) && (e = (r ? c(t, s, e) : c(e)) || e);
  return r && e && u(t, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--cloudLarge", this.class = "c-pieIcon c-pieIcon--cloudLarge", this.name = "IconCloudLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--cloudLarge"><path d="M24.137 25.625H8.65a6.388 6.388 0 0 1-6.388-6.388A6.309 6.309 0 0 1 6.2 13.375a10.045 10.045 0 0 1 19.819 1.382 5.679 5.679 0 0 1 3.719 5.268 5.61 5.61 0 0 1-5.6 5.6ZM8.65 14.6a4.14 4.14 0 0 0-1.4.227 4.585 4.585 0 0 0-3.246 4.375 4.646 4.646 0 0 0 4.646 4.673h15.487a3.85 3.85 0 0 0 3.85-3.85 3.894 3.894 0 0 0-3.01-3.771l-.673-.158v-.691a8.304 8.304 0 0 0-16.179-2.538c.8-.06 1.603.025 2.371.254l-.525 1.671A4.762 4.762 0 0 0 8.65 14.6Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  h("icon-cloud-large")
], o);
export {
  o as IconCloudLarge
};
